Ansys.com


Risultati da 1 a 5 di 5
  1. #1
    Utente Standard L'avatar di Zanna91
    Iscritto dal
    2008
    Messaggi
    186
    Professione
    ---
    Regione
    Deutschland
    Software
    AutoCAD

    Predefinito Carica punti da file TXT e traccia le linee che li unisce

    Con questo applicativo si possono caricare in AutoCAD una serie di punti registrati in un file TXT ed unirli con delle linee. Ogni riga del file contiene i dati di un punto: Codice;X;Y;Z separati da un punto e virgola. L'utente può decidere di creare punti 2D o 3D (e quindi linee 2D o 3D); oltre al punto ed alle linee vengono scritti il codice e la quota del punto su layers diversi.

    Codice:
    (defun c:txt-punti-linee (/ PuntoPrec)
      (if (not scala-txt)(setq scala-txt(getreal "\n Altezza delle scritte: ")))
      (setq tipo(getint "\n Punti 2D o 3D <2/3>: "))
      (setvar "cmdecho" 0)
      (setq nomefile(getfiled "Selezionare il nome del File di punti" "" "txt" 4))
      (setq Separatore ";")
      (setq nome-f(open nomefile "r"))
      (setq conta 1)
      (setq riga(read-line nome-f))
      (while riga
    	(setq lriga(strlen riga))
    	(setq i 0)
        	(setq Valore "")
    	(setq n "" x "" y "" z "")
    	(repeat lriga
    	  	(lett-car)
    	   	(if (/= lett-chr Separatore)
    		  (setq Valore(strcat Valore lett-chr))
    	  	  (cond
    		    ((= n "")(setq n Valore Valore ""))
    		    ((= x "")(setq x Valore Valore ""))
    		    ((= y "")(setq y Valore Valore ""))
    		    ((= z "")(setq z Valore Valore ""))
    		  )
    		)
        		(princ "\r Attendere... inserimento punto n. ")(princ n)
    	)
    	(cond
    	((= n "")(setq n Valore Valore ""))
    	((= x "")(setq x Valore Valore ""))
    	((= y "")(setq y Valore Valore ""))
    	((= z "")(setq z Valore Valore ""))
    	)
    	(setq punto(list (atof x) (atof y) (atof z)))
    	(setq puntoxy(list (atof x) (atof y) 0.0))
    	(command "_layer" "_m" "0_PUNTI" \R)
    
    	(if PuntoPrec (progn
    		(command "_layer" "_m" "0_LINEE" \r)	
    		(if (= tipo 3)(command "_line" PuntoPrec Punto \r)(command "_line" PuntoPrec puntoxy \r))
    	))	
    	(if (= tipo 3)
    		(progn
    		(command "_point" punto \r)
    		(setq PuntoPrec punto)
    		)
    		(progn
    		(command "_point" puntoxy \r)
    		(setq PuntoPrec puntoxy)
    		)
    	)
    
    	(setq xy(polar puntoxy 0 (/ scala-txt 2)))
    	(setq xygiu(polar xy (* pi 1.5) (* scala-txt 1.3)))
    	(setq xysu(polar xy  (* pi 0.5) (* scala-txt 0.3)))
    
    	(command "_layer" "_m" "0_CODICI" \R)
    	(command "_text" "_c" xysu
    	     (rtos scala-txt 2 2)
    	     "0"
    	     n
    	     \r)
    	(command "_layer" "_m" "QUOTE" \R)
    	(command "_text" "_c" xygiu
    	     (rtos scala-txt 2 2)
    	     "0"
    	     (rtos (atof z) 2 2)
    	     \r)
    	(setq conta(+ conta 1))
    	(setq riga(read-line nome-f))
    	(if (= riga "")(setq riga(read-line nome-f)))
        )
      (close nome-f)
      (princ)
      )
    (defun lett-car ()
      (setq i(+ i 1))
      (setq lett-chr(substr riga i 1))
      )
    (setq tipo nil)
    (setq scala-txt nil)
    (princ "\n  Software per l'inserimento nel disegno di punti")
    (princ "\n  2D o 3D e le linee che li uniscono. Le coordinate vengono lette da un file .txt")
    (princ "\n  avente un punto su ogni riga.")
    (princ "\n  Formato della riga: CODICE;X;Y;Z separati da un punto e virgola.")
    (princ "\n <copyright: ing. Claudio Granuzzo> ")
    (princ "\n  Digitare TXT-PUNTI-LINEE per lanciare il programma!")
    (princ)

    Fonte:
    www.sepram.com


    Saluti,
    Giacomo
    Vorsprung durch Technik

  2. #2
    Utente poco attivo
    Iscritto dal
    2009
    Messaggi
    7
    Professione
    Per.Ind. Impianti Tecnologici
    Regione
    Puglia
    Software
    Autocad

    Predefinito

    qualcuno sa dirmi come si deve usare?
    grazie

  3. #3
    Moderatore L'avatar di PlannerRoad
    Iscritto dal
    2007
    Messaggi
    4954
    Professione
    Variabile
    Regione
    Italia
    Software
    AutoCAD 2016

    Predefinito

    Citazione Originariamente Scritto da sanmarin Visualizza Messaggio
    qualcuno sa dirmi come si deve usare?
    grazie
    Copia il listato riportato sopra, lo incolli in Blocco Note e lo salvi con estensione .LSP, che caricherai poi in AutoCAD.

    http://www.cad3d.it/forum1/showthread.php?t=496
    Ultima modifica di PlannerRoad; 07-04-2009 alle 13: 59

  4. #4
    Utente Senior L'avatar di GP.
    Iscritto dal
    2008
    Messaggi
    1997
    Professione
    Nientologo
    Regione
    Vercelli
    Software
    uozapp

    Predefinito

    Il link diretto al lisp della SEPRAM:

    http://www.sepram.com/DEMO/LSP/Caric...on%20linee.LSP
    Ultima modifica di GP.; 07-04-2009 alle 14: 51

  5. #5
    Utente poco attivo
    Iscritto dal
    2009
    Messaggi
    7
    Professione
    Per.Ind. Impianti Tecnologici
    Regione
    Puglia
    Software
    Autocad

    Predefinito

    Citazione Originariamente Scritto da PlannerRoad Visualizza Messaggio
    Copia il listato riportato sopra, lo incolli in Blocco Note e lo salvi con estensione .LSP, che caricherai poi in AutoCAD.

    http://www.cad3d.it/forum1/showthread.php?t=496
    Il link diretto al lisp della SEPRAM:

    http://www.sepram.com/DEMO/LSP/Caric...on%20linee.LSP
    grazie ci provo


  • Discussioni Simili

    1. Inserire dei punti nelle intersezioni delle linee
      Di joe nel forum Lisp per Autocad
      Risposte: 2
      Ultimo Messaggio: 21-05-2010, 11: 40
    2. Creare Punti o linee su linea di sezione
      Di fv69 nel forum CATIA V5 CATDrawing
      Risposte: 1
      Ultimo Messaggio: 02-10-2009, 16: 15
    3. off topic ->Carica file da url
      Di Marco74 nel forum Solid Edge
      Risposte: 5
      Ultimo Messaggio: 23-07-2008, 12: 03
    4. Unisce layout
      Di arri nel forum Tips & Tricks per Autocad
      Risposte: 0
      Ultimo Messaggio: 09-02-2008, 23: 33
    5. Risposte: 0
      Ultimo Messaggio: 26-12-2007, 19: 11

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  



    CAD3D.it - la community dei progettisti